package de.ozgcloud.admin.setting.postfach;

import jakarta.validation.Valid;

import org.springframework.data.annotation.TypeAlias;
import org.springframework.data.mongodb.core.mapping.Document;

import de.ozgcloud.admin.setting.SettingBody;
import lombok.Builder;
import lombok.Getter;
import lombok.extern.jackson.Jacksonized;

@Getter
@Jacksonized
@Builder
@Document
@TypeAlias("PostfachSettingBody")
public class PostfachSettingBody implements SettingBody {
	@Valid
	private Absender absender;
	private String signatur;
}
